> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv2esportsvlrmatches



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/esports/vlr/matches/{match_id}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v2/esports/vlr/matches/{match_id}:
    get:
      tags:
        - valorant
      operationId: esports_match_v2
      parameters:
        - name: match_id
          in: path
          required: true
          schema:
            type: integer
            format: int32
            minimum: 0
      responses:
        '200':
          description: Esports match details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EsportsV2MatchesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    EsportsV2MatchesResponse:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/EsportsV2Match'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    EsportsV2Match:
      type: object
      required:
        - metadata
        - teams
        - streams
        - vods
        - games
        - head_to_head
        - past_matches
      properties:
        economy:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/EsportsV2MatchEconomy'
        games:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2MatchGame'
        head_to_head:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2HeadToHeadMatch'
        metadata:
          $ref: '#/components/schemas/EsportsV2MatchHeader'
        past_matches:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2TeamPastMatches'
        performance:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/EsportsV2MatchPerformance'
        streams:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2MatchStream'
        teams:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2MatchHeaderTeam'
        vods:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2MatchStream'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    EsportsV2MatchEconomy:
      type: object
      required:
        - teams
      properties:
        teams:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2TeamEconomy'
    EsportsV2MatchGame:
      type: object
      required:
        - map
        - teams
        - rounds
      properties:
        duration_in_s:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        map:
          type: string
        picked_by:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        rounds:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2MatchGameRound'
        teams:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2MatchGameTeam'
    EsportsV2HeadToHeadMatch:
      type: object
      required:
        - match
        - event
        - score
        - date
      properties:
        date:
          type: string
        event:
          $ref: '#/components/schemas/EsportsV2HeadToHeadEvent'
        match:
          $ref: '#/components/schemas/EsportsV2IdSlug'
        score:
          $ref: '#/components/schemas/EsportsV2HeadToHeadScore'
    EsportsV2MatchHeader:
      type: object
      required:
        - event
        - date
        - patch
        - format
        - status
        - note
      properties:
        date:
          type: string
        event:
          $ref: '#/components/schemas/EsportsV2MatchEvent'
        format:
          type: string
        note:
          type: string
        patch:
          type: string
        status:
          type: string
    EsportsV2TeamPastMatches:
      type: object
      required:
        - team
        - matches
      properties:
        matches:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2PastMatch'
        team:
          type: integer
          format: int32
          minimum: 0
    EsportsV2MatchPerformance:
      type: object
      required:
        - kill_matrix
        - player_performances
      properties:
        kill_matrix:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2KillMatrixEntry'
        player_performances:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2PlayerPerformance'
    EsportsV2MatchStream:
      type: object
      required:
        - name
        - link
      properties:
        link:
          type: string
        name:
          type: string
    EsportsV2MatchHeaderTeam:
      type: object
      required:
        - id
        - slug
        - url
        - name
        - icon
      properties:
        icon:
          type: string
        id:
          type: integer
          format: int32
          minimum: 0
        name:
          type: string
        score:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        slug:
          type: string
        url:
          type: string
    EsportsV2TeamEconomy:
      type: object
      required:
        - team_name
        - pistol_won
        - eco
        - semi_eco
        - full_buy
      properties:
        eco:
          $ref: '#/components/schemas/EsportsV2TeamEconomyRoundWon'
        full_buy:
          $ref: '#/components/schemas/EsportsV2TeamEconomyRoundWon'
        pistol_won:
          type: integer
          format: int32
          minimum: 0
        semi_eco:
          $ref: '#/components/schemas/EsportsV2TeamEconomyRoundWon'
        team_name:
          type: string
    EsportsV2MatchGameRound:
      type: object
      required:
        - round
        - winning_team
        - winning_site
      properties:
        round:
          type: integer
          format: int32
          minimum: 0
        winning_site:
          type: string
        winning_team:
          type: integer
          format: int32
          minimum: 0
    EsportsV2MatchGameTeam:
      type: object
      required:
        - name
        - is_winner
        - players
      properties:
        is_winner:
          type: boolean
        name:
          type: string
        players:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2MatchGamePlayer'
        score:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        score_ct:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        score_t:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
    EsportsV2HeadToHeadEvent:
      type: object
      required:
        - name
        - series
        - icon
      properties:
        icon:
          type: string
        name:
          type: string
        series:
          type: string
    EsportsV2IdSlug:
      type: object
      required:
        - id
        - slug
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
        slug:
          type: string
    EsportsV2HeadToHeadScore:
      type: object
      required:
        - team_1
        - team_2
        - winner_team
      properties:
        team_1:
          type: integer
          format: int32
          minimum: 0
        team_2:
          type: integer
          format: int32
          minimum: 0
        winner_team:
          type: integer
          format: int32
          minimum: 0
    EsportsV2MatchEvent:
      type: object
      required:
        - id
        - slug
        - icon
        - title
        - series
      properties:
        icon:
          type: string
        id:
          type: integer
          format: int32
          minimum: 0
        series:
          type: string
        slug:
          type: string
        title:
          type: string
    EsportsV2PastMatch:
      type: object
      required:
        - match
        - score
        - is_win
        - opponent
        - date
      properties:
        date:
          type: string
        is_win:
          type: boolean
        match:
          $ref: '#/components/schemas/EsportsV2IdSlug'
        opponent:
          $ref: '#/components/schemas/EsportsV2PastMatchOpponent'
        score:
          $ref: '#/components/schemas/EsportsV2PastMatchScore'
    EsportsV2KillMatrixEntry:
      type: object
      required:
        - killer
        - victim
        - kills
        - deaths
      properties:
        deaths:
          type: integer
          format: int32
          minimum: 0
        killer:
          type: integer
          format: int32
          minimum: 0
        kills:
          type: integer
          format: int32
          minimum: 0
        victim:
          type: integer
          format: int32
          minimum: 0
    EsportsV2PlayerPerformance:
      type: object
      required:
        - player
        - multi_kills
        - clutches
        - econ_rating
        - plants
        - defuses
      properties:
        clutches:
          $ref: '#/components/schemas/EsportsV2PlayerPerformanceClutches'
        defuses:
          type: integer
          format: int32
          minimum: 0
        econ_rating:
          type: integer
          format: int32
          minimum: 0
        multi_kills:
          $ref: '#/components/schemas/EsportsV2PlayerPerformanceMultiKills'
        plants:
          type: integer
          format: int32
          minimum: 0
        player:
          $ref: '#/components/schemas/EsportsV2PlayerPerformancePlayer'
    EsportsV2TeamEconomyRoundWon:
      type: object
      required:
        - won
        - rounds
      properties:
        rounds:
          type: integer
          format: int32
          minimum: 0
        won:
          type: integer
          format: int32
          minimum: 0
    EsportsV2MatchGamePlayer:
      type: object
      required:
        - player
        - agent
        - stats
      properties:
        agent:
          type: string
        player:
          $ref: '#/components/schemas/EsportsV2MatchPlayer'
        stats:
          $ref: '#/components/schemas/EsportsV2MatchGamePlayerStats'
    EsportsV2PastMatchOpponent:
      type: object
      required:
        - name
        - logo
      properties:
        logo:
          type: string
        name:
          type: string
    EsportsV2PastMatchScore:
      type: object
      required:
        - for
        - against
      properties:
        against:
          type: integer
          format: int32
          minimum: 0
        for:
          type: integer
          format: int32
          minimum: 0
    EsportsV2PlayerPerformanceClutches:
      type: object
      required:
        - 1v1
        - 1v2
        - 1v3
        - 1v4
        - 1v5
      properties:
        1v1:
          type: integer
          format: int32
          minimum: 0
        1v2:
          type: integer
          format: int32
          minimum: 0
        1v3:
          type: integer
          format: int32
          minimum: 0
        1v4:
          type: integer
          format: int32
          minimum: 0
        1v5:
          type: integer
          format: int32
          minimum: 0
    EsportsV2PlayerPerformanceMultiKills:
      type: object
      required:
        - 2k
        - 3k
        - 4k
        - 5k
      properties:
        2k:
          type: integer
          format: int32
          minimum: 0
        3k:
          type: integer
          format: int32
          minimum: 0
        4k:
          type: integer
          format: int32
          minimum: 0
        5k:
          type: integer
          format: int32
          minimum: 0
    EsportsV2PlayerPerformancePlayer:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
        name:
          type: string
    EsportsV2MatchPlayer:
      type: object
      required:
        - nation
        - id
        - name
        - slug
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
        name:
          type: string
        nation:
          type: string
        slug:
          type: string
    EsportsV2MatchGamePlayerStats:
      type: object
      properties:
        acs:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        adr:
          type:
            - number
            - 'null'
          format: float
        assists:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        deaths:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        first_deaths:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        first_kills:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        fk_diff:
          type:
            - integer
            - 'null'
          format: int32
        hs_pct:
          type:
            - number
            - 'null'
          format: float
        kast:
          type:
            - number
            - 'null'
          format: float
        kd_diff:
          type:
            - integer
            - 'null'
          format: int32
        kills:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        rating:
          type:
            - number
            - 'null'
          format: float

````